Loading...
Searching...
No Matches
BALL::NMRStarFile::ShiftReferenceElement Class Reference

`#include <BALL/FORMAT/NMRStarFile.h>`

## Public Member Functions

| ShiftReferenceElement ()
std::ostream & | operator>> (std::ostream &s)

## Public Attributes

String | mol_common_name
String | atom_type
Position | isotope_number
String | atom_group
String | shift_units
float | shift_value
String | reference_method
String | reference_type
float | indirect_shift_ratio

## Detailed Description

ShiftReferenceElement. This class includes all information for a shift reference element for one atom type delivered by a NMRStar file. All members are public for easy access.

Definition at line 198 of file NMRStarFile.h.

## Constructor & Destructor Documentation

## ShiftReferenceElement()

BALL::NMRStarFile::ShiftReferenceElement::ShiftReferenceElement | ( |  | ) |

## Member Function Documentation

## operator>>()

std::ostream & BALL::NMRStarFile::ShiftReferenceElement::operator>> | ( | std::ostream & | s | ) |

## Member Data Documentation

## atom_group

String BALL::NMRStarFile::ShiftReferenceElement::atom_group

Definition at line 206 of file NMRStarFile.h.

## atom_type

String BALL::NMRStarFile::ShiftReferenceElement::atom_type

Definition at line 204 of file NMRStarFile.h.

## indirect_shift_ratio

float BALL::NMRStarFile::ShiftReferenceElement::indirect_shift_ratio

Definition at line 211 of file NMRStarFile.h.

## isotope_number

Position BALL::NMRStarFile::ShiftReferenceElement::isotope_number

Definition at line 205 of file NMRStarFile.h.

## mol_common_name

String BALL::NMRStarFile::ShiftReferenceElement::mol_common_name

Definition at line 203 of file NMRStarFile.h.

## reference_method

String BALL::NMRStarFile::ShiftReferenceElement::reference_method

Definition at line 209 of file NMRStarFile.h.

## reference_type

String BALL::NMRStarFile::ShiftReferenceElement::reference_type

Definition at line 210 of file NMRStarFile.h.

## shift_units

String BALL::NMRStarFile::ShiftReferenceElement::shift_units

Definition at line 207 of file NMRStarFile.h.

## shift_value

float BALL::NMRStarFile::ShiftReferenceElement::shift_value

Definition at line 208 of file NMRStarFile.h.